Top-Themen

AppleEntwicklungHardwareInternetLinuxMicrosoftMultimediaNetzwerkeOff TopicSicherheitSonstige SystemeVirtualisierungWeiterbildungZusammenarbeit

Aktuelle Themen

Administrator.de FeedbackApache ServerAppleAssemblerAudioAusbildungAuslandBackupBasicBatch & ShellBenchmarksBibliotheken & ToolkitsBlogsCloud-DiensteClusterCMSCPU, RAM, MainboardsCSSC und C++DatenbankenDatenschutzDebianDigitiales FernsehenDNSDrucker und ScannerDSL, VDSLE-BooksE-BusinessE-MailEntwicklungErkennung und -AbwehrExchange ServerFestplatten, SSD, RaidFirewallFlatratesGoogle AndroidGrafikGrafikkarten & MonitoreGroupwareHardwareHosting & HousingHTMLHumor (lol)Hyper-VIconsIDE & EditorenInformationsdiensteInstallationInstant MessagingInternetInternet DomäneniOSISDN & AnaloganschlüsseiTunesJavaJavaScriptKiXtartKVMLAN, WAN, WirelessLinuxLinux DesktopLinux NetzwerkLinux ToolsLinux UserverwaltungLizenzierungMac OS XMicrosoftMicrosoft OfficeMikroTik RouterOSMonitoringMultimediaMultimedia & ZubehörNetzwerkeNetzwerkgrundlagenNetzwerkmanagementNetzwerkprotokolleNotebook & ZubehörNovell NetwareOff TopicOpenOffice, LibreOfficeOutlook & MailPapierkorbPascal und DelphiPeripheriegerätePerlPHPPythonRechtliche FragenRedHat, CentOS, FedoraRouter & RoutingSambaSAN, NAS, DASSchriftartenSchulung & TrainingSEOServerServer-HardwareSicherheitSicherheits-ToolsSicherheitsgrundlagenSolarisSonstige SystemeSoziale NetzwerkeSpeicherkartenStudentenjobs & PraktikumSuche ProjektpartnerSuseSwitche und HubsTipps & TricksTK-Netze & GeräteUbuntuUMTS, EDGE & GPRSUtilitiesVB for ApplicationsVerschlüsselung & ZertifikateVideo & StreamingViren und TrojanerVirtualisierungVisual StudioVmwareVoice over IPWebbrowserWebentwicklungWeiterbildungWindows 7Windows 8Windows 10Windows InstallationWindows MobileWindows NetzwerkWindows ServerWindows SystemdateienWindows ToolsWindows UpdateWindows UserverwaltungWindows VistaWindows XPXenserverXMLZusammenarbeit

Postfix Disclaimer an bestimmter Position anhängen

Frage Internet E-Mail

Mitglied: itproject

itproject (Level 1) - Jetzt verbinden

12.12.2012, aktualisiert 09:00 Uhr, 2341 Aufrufe, 6 Kommentare

Hallo zusammen

Haben OpenXchange im Einsatz, welches als Grundlage Postfix als MTA verwendet.

nun habe ich schon ein Script im Zusammenhang mit Altermime gebastelt, welches mir den Disclaimer an bestimmte Adressen anhängt:


AUSZUG AUS "/etc/postfix/disclaimer"

01.
#!/bin/bash 
02.
# Localize these. 
03.
INSPECT_DIR=/var/spool/filter 
04.
SENDMAIL=/usr/sbin/sendmail 
05.
####### Changed From Original Script ####### 
06.
ALTERMIME=/usr/bin/altermime 
07.
SENDER_DOMAIN=meine-domain.de 
08.
####### Changed From Original Script END ####### 
09.
 
10.
# Exit codes from <sysexits.h> 
11.
EX_TEMPFAIL=75 
12.
EX_UNAVAILABLE=69 
13.
 
14.
# Clean up when done or when aborting. 
15.
trap "rm -f in.$$" 0 1 2 3 15 
16.
 
17.
# Start processing. 
18.
cd $INSPECT_DIR || { echo $INSPECT_DIR does not exist; exit 
19.
$EX_TEMPFAIL; } 
20.
 
21.
cat >in.$$ || { echo Cannot save mail to file; exit $EX_TEMPFAIL; } 
22.
 
23.
# Domain aus uebergebener Absenderadresse filtern: 
24.
DOMAIN=${2##*@} 
25.
USER=$2 
26.
 
27.
####### Changed From Original Script ####### 
28.
 
29.
# if [ "$DOMAIN" == "$SENDER_DOMAIN" ]; then 
30.
$ALTERMIME --input=in.$$ \ 
31.
--log-syslog \ 
32.
--disclaimer=/etc/postfix/disclaimers/globaldisclaimer.txt \ 
33.
--disclaimer-html=/etc/postfix/disclaimers/globaldisclaimer.txt \ 
34.
--xheader="X-Copyrighted-Material: $COPYRIGHT_HEADER" || \ 
35.
{ echo Message content rejected; exit $EX_UNAVAILABLE; } 
36.
else 
37.
$ALTERMIME --input=in.$$ \ 
38.
--log-syslog \ 
39.
--xheader="X-Copyrighted-Material: $COPYRIGHT_HEADER" || \ 
40.
{ echo Message content rejected; exit $EX_UNAVAILABLE; } 
41.
fi 
42.
####### Changed From Original Script END ####### 
43.
 
44.
$SENDMAIL "$@" <in.$$ 
45.
 
46.
exit $?
Naja, das Problem ist nun, der Disclaimer wird zwar super an jede Mail unten angehängt, jedoch geschieht das natürlich immer, d.h. wenn ein Kunde auf eine Mail antwortet und anschließend ein Mitarbeiter diese Mail wieder beantwortet, dann steht immmer ganz unten der Mail unser Disclaimer, obwohl dort vielleicht ein Kunde ebenfalls seine Signatur hat.

d.h. nach ein paar mal hin und her schreiben habe ich nur unten in der mail die entsprechende Anzahl an Disclaimer informationen, welche natürlich auf einem Haufen total überflüssig sind.

Würde das gerne so haben, dass es mir möglich ist, jeweils "über den (bisherig geschriebenen) text" den Disclaimer zu setzen.

DIE EIGENTLICHE FRAGE:
Ist es irgendwie Möglich die Position des Disclaimers zu verändern bzw. zu setzen?

Danke für eure Hilfe! Ihr seit die besten ;)

Grüße
Itproject
Mitglied: maretz
12.12.2012 um 10:20 Uhr
Moin,

und woher soll Postfix wissen wo deine Antwort endet und wo die beantwortete Mail beginnt? Für den ist das innerhalb der Mail einfach nur Text…

Von daher: Das wird wohl eher schwer bis unmöglich so zu machen sein das es sauber ist…
Bitte warten ..
Mitglied: AndiEoh
12.12.2012 um 11:51 Uhr
Hallo

das ist schon einer der Gründe warum man keine Disclaimer verwenden sollte. Vorgeschrieben ist übrigens im B2B Umfeld nur ein "Impressum", alles andere ist lediglich Beschäftigungstherapie.
Und nein, es gibt keine echte Lösung um lesbare e-Mails trotz Disclaimer zu erhalten.

Gruß

Andi
Bitte warten ..
Mitglied: maretz
12.12.2012 um 20:45 Uhr
@andi: Die Frage ist da immer was der TO macht… Z.B. kann es ja auch sein das es viel internationalie Kommunikation ist, das der Chef das einfach möchte usw… -> Du sprichst da vom *deutschen* Recht, aber nicht jeder Betrieb unterliegt dem deutschen Recht ...
Bitte warten ..
Mitglied: itproject
13.12.2012 um 16:51 Uhr
Hi zusammen,

Chef will das :/

Hmm ja, wie gesagt das Skript hängt ja nur unten dran.
Ich hatte gehofft dass es irgendwie eine Möglichkeit gibt das ganze sinnvoll zu positionieren.

z.B. im OpenXchange Weboberfläche gibt es unter "Signatur" die möglichkeit "über den text" und "unter den text" diese zu plazieren.

"Über den (bereits geschriebenen) Text währe super" Die Groupware (OX) muss dem Postfix ja auch irgendwie mitteilen wo die Signatur hin soll oder ?


Danke für euren Support

Grüße
Itproject
Bitte warten ..
Mitglied: maretz
14.12.2012 um 08:31 Uhr
Moin,

deine "OpenExchange-Weboberfläche" weiss aber ja auch was du geschrieben hast - genauso wie das Forum hier (dafür gibt es ja diese lustigen Eingabeboxen….). DA kann man recht einfach sagen "Klebe da mal was drunter/drüber".

Dein Postfix sieht aber diese Eingabebox nicht - er sieht die ganze Mail. Und sofern du nicht einfach ne Queue einbaust die das ganze anhält, du da manuell reinguckst und dem dann nen Zeichen setzt wo es hinsoll wird das schwer… Du kannst natürlich gucken ob du deine Mitarbeiter überreden kannst irgendeine Art von Sonderzeichen (z.B. DISCLAIMER) einzubinden -> und diesen dann versuchen per Regex in der Mail umzuparsen. ABER: Zum einen würde ich garantieren das die Mitarbeiter das gerne mal vergessen (ok, dafür könnte man es in die Default-Sig der MAs aufnehmen) - zum anderen wird das natürlich bei jeder auch nur simpel verschlüsselten Mail fehlschlagen. Und zu guter letzt wird das immer dann fehlschlagen wenn jemand nur mit den Worten "FYI" weiterleitet - und die Signatur dann rauslöscht.

Und ganz ehrlich: Versuche deinen Chef davon zu überzeugen das es Unsinn ist. Du würdest hier in einem Mailserver rumfummeln - was nur dazu führen kann das sich in einigen Wochen/Monaten da was ziemlich zerlegt wenn z.B. nach einem Update nix mehr geht oder sich die MA's beschweren das die eben nix verschlüsseln dürfen bzw. da irgendwas "kaputtes" beim Empfänger ankommt. Und nebenbei: Soweit du eine Mail signieren möchtest schlägt das auch ziemlich fehl. Ich als MA signiere meine Mail ja damit der Empfänger WEISS das dieser Text von mir stammt. Jetzt fummelt in der Mail der Mailserver rum und packt da was zu -> meine Signatur ist damit ungültig...
Bitte warten ..
Mitglied: itproject
02.01.2013 um 16:42 Uhr
Vielen Dank für die Info's ... ja das ganze erweist sich als schwerer als angenommen.

Noch haben wir keine praktikable Lösung.

Mal sehen was passiert ;)
Bitte warten ..
Neuester Wissensbeitrag
Internet

Unbemerkt - Telekom Netzumschaltung! - BNG - Broadband Network Gateway

(3)

Erfahrungsbericht von ashnod zum Thema Internet ...

Ähnliche Inhalte
Windows 7
gelöst Bestimmter Benutzer kann sich nicht anmelden (6)

Frage von xbast1x zum Thema Windows 7 ...

Windows Server
Verbindung zu bestimmter externer Adresse geht nicht (12)

Frage von sokraTonis zum Thema Windows Server ...

Exchange Server
Office 2013 - Exchange 2010 - Probleme mit Anhängen (3)

Frage von Coscos zum Thema Exchange Server ...

Heiß diskutierte Inhalte
Switche und Hubs
Trunk für 2xCisco Switch. Wo liegt der Fehler? (17)

Frage von JayyyH zum Thema Switche und Hubs ...

Windows Server
Outlook Verbindungsversuch mit Exchange (15)

Frage von xbast1x zum Thema Windows Server ...

Microsoft Office
Keine Updates für Office 2016 (11)

Frage von Motte990 zum Thema Microsoft Office ...